package com.ssj.dao.conch.curator.dao;

import com.ssj.bean.curator.TbLibBindAudit;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface TbLibBindAuditDao extends JpaRepository<TbLibBindAudit, String> {

    public TbLibBindAudit findByVipIdAndStatusNot(String vipId, int status);

    public TbLibBindAudit findByVipIdAndStatus(String vipId, int status);

    public List<TbLibBindAudit> findByLibIdAndStatus(String libId, int status);
}
